"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Generic "feature" registry to manage ChassisPlugins and ChassisOperations.
 *
 */
class Registry {
    constructor() {
        this.features = {};
    }
    set(feature) {
        this.features[feature.name] = feature;
        return feature;
    }
    get(name) {
        return this.features[name];
    }
}
exports.Registry = Registry;
//# sourceMappingURL=Registry.js.map