/*************************************************************************
 *
 * Troven CONFIDENTIAL
 * __________________
 *
 *  (c) 2017-2020 Troven Ventures Pty Ltd
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Troven Pty Ltd and its licensors,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Troven Pty Ltd
 * and its suppliers and may be covered by International and Regional Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Troven Pty Ltd.
 */
import { IOperation } from "../index";
import { Handler } from "express-serve-static-core";
import graphql_plugin from "../plugins/graphql";
import proxy from "./proxy";
/**
 * GraphQL proxy middleware
 * --------------
 * Proxy/Transform request into GraphQL
 *
 * @type {{name: string, title: string, when: [string,string], fn: module.exports.fn, Decrypter: module.exports.Decrypter}}
 */
export default class graphql extends proxy {
    protected plugin: graphql_plugin;
    name: string;
    title: string;
    constructor(plugin: graphql_plugin);
    fn(oper: IOperation, _options: any): Handler;
}
