import { IChassisMiddleware, IOperation } from "../interfaces";
/**
 * Dynamic Reverse Proxy
 * ------------------
 * Attach a remote OpenAPI spec to a local OpenAPI resource
 * The implementation of a HTTP Proxy plugin using the node-http-proxy package.
 *
 * See https://github.com/nodejitsu/node-http-proxy
 *
 * TODO: integrate with Vault to retrieve secrets and inject into egress request via header/params/etc.
 *
 */
export default class mount implements IChassisMiddleware {
    name: string;
    title: string;
    /**
     * plugin to proxy requests to a remote HTTP endpoint
     *
     * @param context
     * @param options
     * @returns {TargetEndpoint}
     */
    fn(_op: IOperation, _options: any): Function;
}
