import { IChassisContext, IChassisPlugin } from "../index";
/**
 * plugin has injects middleware 'after' every response is generated
 *
 * @param context
 * @param options
 * @returns {exports}
 */
export default class JWTPlugin implements IChassisPlugin {
    ALLOWED_ALGOS: string[];
    name: string;
    title: string;
    context: IChassisContext;
    secretOrCertificate: string;
    algo: string;
    install(_context: IChassisContext, _options: any): void;
    _loadPublicKey: (certificateFile: any) => string;
    _downloadPublicKey: (url: any) => void;
}
