

export default class APIError extends Error {
    log: any;

    constructor(status: number, payload: any) {
        super();
        Error.captureStackTrace(this, this.constructor);
        this.name = payload.code || status || 500;
        this.message = payload.message || this.name;
        this.log = payload;
    }
}