

import {IChassisContext, IChassisPlugin } from "../index";

/**
 * plugin has injects middleware 'after' every response is generated
 *
 * @param context
 * @param options
 * @returns {exports}
 */
export default class after implements IChassisPlugin {

    name = "after";
    title = "Inject plugins after response is generated";

    install(_context: IChassisContext, _options: any) {
        // just a placeholder for global options
        // PipelinePlugin does all the work
    }

}