

import {IChassisContext, IChassisPlugin } from "../index";

/**
 * plugin has injects middleware 'before' every response is generated
 *
 * @param context
 * @param options
 * @returns {exports}
 */
export default class before implements IChassisPlugin {

    name = "before";
    title = "Inject plugins before response is generated";

    install(_context: IChassisContext, _options: any) {
        // just a placeholder for global options
        // PipelinePlugin does all the work
    }

}