import { IChassisContext, IOperation } from ".";
export interface IChassisDataStore {
    name: string;
    options: any;
    context: IChassisContext;
    getIDField(): string;
    getCollectionField(): string;
    /**
     * Configure DataStore
     *
     * @param context
     * @param options
     */
    healthy(options: any, callback: Function): void;
    query(operation: IOperation, model: any, query: any, options: any, callback: Function): void;
    create(operation: IOperation, model: any, query: any, options: any, callback: Function): void;
    read(operation: IOperation, model: any, query: any, options: any, callback: Function): void;
    list(operation: IOperation, model: any, query: any, options: any, callback: Function): void;
    update(operation: IOperation, model: any, query: any, options: any, callback: Function): void;
    delete(operation: IOperation, model: any, query: any, options: any, callback: Function): void;
}
