import { IOperation } from ".";
import { Handler } from "express-serve-static-core";
export interface IChassisExtension {
    name: string;
    title?: string;
    defaults?: any;
}
export interface IChassisMiddleware extends IChassisExtension {
    fn(oas_operation: IOperation, options: any): Handler | Function;
}
export interface IChassisFeature extends IChassisMiddleware {
}
export interface IChassisPolicy extends IChassisMiddleware {
}
