/*************************************************************************
 *
 * Troven CONFIDENTIAL
 * __________________
 *
 *  (c) 2017-2020 Troven Ventures Pty Ltd
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Troven Pty Ltd and its licensors,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Troven Pty Ltd
 * and its suppliers and may be covered by International and Regional Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Troven Pty Ltd.
 */
import { IOperation, IChassisMiddleware } from "../interfaces";
/**
 * Request UUID
 * ------------
 * Feature generates a UUIDv5 and inject into x-request-id header
 *
 * @type {{name: string, title: string, description: string, options: {header: string}, fn: module.exports.fn}}
 */
export default class request_uuid implements IChassisMiddleware {
    name: string;
    title: string;
    options: {
        header: string;
    };
    header: () => any;
    fn(operation: IOperation, options: any): Function;
}
