import { IChassisContext, IOperation } from "../interfaces";
export declare class Operation implements IOperation {
    context: IChassisContext;
    resource: string;
    actionId: string;
    operationId: string;
    featureId: string;
    spec: any;
    feature: any;
    security: any;
    ix_parameters: any;
    ix_responses: any;
    /**
    * Create a new RequestFlow pipeline
    *
    * @param openapi
    * @param operationId
    * @param method
    * @param resource
    * @param _spec
    */
    constructor(context: IChassisContext, actionId: string, resource: string, _spec: any);
    process_responses(spec: any): void;
    standardize: (_oper: any) => {
        operationId: string;
        summary: string;
        description: string;
        security: any[];
        responses: {};
        parameters: any[];
        tags: any[];
    } & Pick<any, string>;
    parameterKeys(type: string): any;
    respond(res: any): any;
    response: (status: string) => any;
}
