/*************************************************************************
 *
 * Troven CONFIDENTIAL
 * __________________
 *
 *  (c) 2017-2020 Troven Ventures Pty Ltd
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Troven Pty Ltd and its licensors,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Troven Pty Ltd
 * and its suppliers and may be covered by International and Regional Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Troven Pty Ltd.
 */
import { IChassisContext, IOpenAPIv3 } from "../interfaces";
import { Operation } from "./Operation";
import { Security } from "./Security";
export declare class Paths {
    context: IChassisContext;
    security: Security;
    ops: {};
    /**
     * Process Open API v2/v3 path specification
     *
     * @param {IChassisContext} context
     * @param {Security} security
     */
    constructor(context: IChassisContext, security: Security);
    operations(): Operation[];
    resources: (openapi: IOpenAPIv3) => void;
    _path_operations: (operations: any, resource: string) => void;
    add(operation: Operation): void;
}
