import { IOpenAPIv3 } from "../interfaces";
import { Operation } from "./Operation";
export declare class Schemas {
    schemas: any;
    constructor(spec?: IOpenAPIv3);
    /** parse OpenAPI specifications */
    init(spec: IOpenAPIv3): Schemas;
    operation(op: Operation): void;
    resource(resource: any, path: string): void;
    methods(methods: any, path: string): void;
    method(oper: any, method: string, path: string): void;
    requestBody_schema(requestBody: any, op_ref_id: string): void;
    parameters_schemas(parameters: any, op_ref_id: string): void;
    responses_schemas(responses: any, op_ref_id: string): void;
    response_schema(_status_code: string, response: any, method_ref_id: string): any;
    _id(id: string): string;
    schema(_schema: any, ref_id?: string): any;
    get(id: string): any;
    strip_x(schema: any): any;
    deref(org_schema: any, _options?: any): any;
    all(_options?: any): any;
    refs(): any;
}
