export declare class Security {
    security: any;
    securitySchemes: any;
    constructor(spec?: any);
    defaults: (openapi: any) => void;
    findScheme(type: string, scheme: string): any;
    /**
     * Flatten the array of named security scheme objects into a named set of scheme objects.
     *
     * @param oper_security
     * @returns {{}}
     */
    private simplify_security_rules;
    /**
     * Uplift an operation by merging normalized security schemes
     *
     * @param oper
     * @returns {any}
     */
    operation(security: any): any;
}
